/*-
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2018 Ericsson. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * SPDX-License-Identifier: Apache-2.0
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.common.parameters.testclasses;

import java.util.Map;

import org.onap.policy.common.parameters.GroupValidationResult;
import org.onap.policy.common.parameters.ParameterGroup;

public class ParameterGroupWithNullMapValue implements ParameterGroup {
    private String name;
    private Map<String, Integer> nullMap = null;

    /**
     * Create a test parameter group.
     * @param name the parameter group name
     */
    public ParameterGroupWithNullMapValue(final String name) {
        this.name = name;
    }

    public Map<String, Integer> getNullMap() {
        return nullMap;
    }
    
    @Override
    public String getName() {
        return name;
    }
    
    @Override
    public GroupValidationResult validate() {
        return new GroupValidationResult(this);
    }
}
